> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/java/java-sdks/models/applicationloadbalancerforwardingruleproperties.md).

# ApplicationLoadBalancerForwardingRuleProperties

## Properties

| Name                   | Type                                                                                                          | Description                                                                                                                                                                                                                                                                                | Notes       |
| ---------------------- | ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| **clientTimeout**      | **Integer**                                                                                                   | The maximum time in milliseconds to wait for the client to acknowledge or send data; default is 50,000 (50 seconds).                                                                                                                                                                       | \[optional] |
| **httpRules**          | [**List\<ApplicationLoadBalancerHttpRule>**](/cloud/java/java-sdks/models/applicationloadbalancerhttprule.md) | An array of items in the collection. The original order of rules is preserved during processing, except that rules of the 'FORWARD' type are processed after the rules with other defined actions. The relative order of the 'FORWARD' type rules is also preserved during the processing. | \[optional] |
| **listenerIp**         | **String**                                                                                                    | The listening (inbound) IP.                                                                                                                                                                                                                                                                |             |
| **listenerPort**       | **Integer**                                                                                                   | The listening (inbound) port number; the valid range is 1 to 65535.                                                                                                                                                                                                                        |             |
| **name**               | **String**                                                                                                    | The name of the Application Load Balancer forwarding rule.                                                                                                                                                                                                                                 |             |
| **protocol**           | [**ProtocolEnum**](#ProtocolEnum)                                                                             | The balancing protocol.                                                                                                                                                                                                                                                                    |             |
| **serverCertificates** | [**List\<UUID>**](https://github.com/ionos-cloud/sdk-java/blob/master/docs/models/UUID.md)                    | Array of items in the collection.                                                                                                                                                                                                                                                          | \[optional] |

## Enum: ProtocolEnum

| Name | Value  |
| ---- | ------ |
| HTTP | "HTTP" |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/java/java-sdks/models/applicationloadbalancerforwardingruleproperties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
